Package org.opensaml.core.xml.persist.impl

# Class PassthroughSourceStrategy

java.lang.Object
org.opensaml.core.xml.persist.impl.PassthroughSourceStrategy

All Implemented Interfaces:
  `Function<String,String>`

public class PassthroughSourceStrategy extends Object implements Function<String,String>
Pass-through source strategy function.

Typically used with `SegmentingIntermediateDirectoryStrategy`.

## Constructor Summary

Constructors
Constructor
Description
`PassthroughSourceStrategy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### PassthroughSourceStrategy

public PassthroughSourceStrategy()

## Method Details

### apply

public String apply(String key)

Specified by:
  `apply` in interface `Function<String,String>`